#include<iostream>

using namespace std;

int n,a,b;

int main()
{
    cin>>n;
    for(int i=1;i<n;i++)
    {
        cin>>a>>b;
    }
    if(n%2==1) cout<<n-2<<endl;
    else cout<<n-3<<endl;
    return 0;
}